pskc_output(3)

NAME
pskc_output - API function

SYNOPSIS
#include <pskc.h>

int pskc_output(pskc_t * container, pskc_output_formats_t format, char ** out, size_t * len);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

pskc_output_formats_t format
    an pskc_output_formats_t enumeration type indicating format.

char ** out
    pointer to output variable holding newly allocated string.

size_t * len
    pointer to output variable hold length of *out.

DESCRIPTION
Convert PSKC data to a serialized string of the indicated type. This is usually used to convert the PSKC data to some human readable form.

RETURNS
PSKC_OK on success, or an error code.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: http://www.gnu.org/software/libpskc/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.